import 'package:draft_flutter/draft/draft_objects.dart';
import 'package:draft_flutter/draft/extensions.dart';
import 'package:flutter/material.dart';

class AtomicView extends StatelessWidget {
  final RawDraftContentBlock block;
  final Map<String, RawDraftEntityKeyStringAny> entityMap;

  AtomicView({@required this.block, @required this.entityMap});

  Widget _renderBlock(RawDraftEntityKeyStringAny entity, BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 5, vertical: 5),
      child: Image.network(
        entity.data['src'],
        height: 300,
        width: MediaQuery.of(context).size.width,
        fit: BoxFit.cover,
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    var entities = block.getEntities(entityMap);
    if (entities.length == 0) {
      return Container();
    }
    return _renderBlock(entities[0], context);
  }
}
