import 'package:draft_flutter/draft/extensions.dart';
import 'package:flutter/material.dart';

class BlockQuote extends StatelessWidget {
  final InlineSpan inlineSpan;

  BlockQuote({@required this.inlineSpan});

  @override
  Widget build(BuildContext context) {
    final texttheme = Theme.of(context)
        .primaryTextTheme
        .bodyText1
        .copyWith(fontSize: 30, color: Colors.orange);
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 10, vertical: 10),
      child: Container(
        width: MediaQuery.of(context).size.width,
        color: Colors.grey.withAlpha(100),
        child: Padding(
          padding: const EdgeInsets.all(8.0),
          child: RichText(
            text: TextSpan(children: [
              TextSpan(
                text: '"',
                style: texttheme,
              ),
              this.inlineSpan,
              TextSpan(text: " \n "),
            ]),
          ),
        ),
      ),
    );
  }
}
